/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IArduino;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Arduino implements VertxPojo, IArduino {

    private static final long serialVersionUID = -1219150910;

    private Integer ardid;
    private String  ardlocal;
    private String  ardstatus;
    private String  ardvirtual;
    private String  ardativo;
    private Integer fktanid;

    public Arduino() {}

    public Arduino(Arduino value) {
        this.ardid = value.ardid;
        this.ardlocal = value.ardlocal;
        this.ardstatus = value.ardstatus;
        this.ardvirtual = value.ardvirtual;
        this.ardativo = value.ardativo;
        this.fktanid = value.fktanid;
    }

    public Arduino(
        Integer ardid,
        String  ardlocal,
        String  ardstatus,
        String  ardvirtual,
        String  ardativo,
        Integer fktanid
    ) {
        this.ardid = ardid;
        this.ardlocal = ardlocal;
        this.ardstatus = ardstatus;
        this.ardvirtual = ardvirtual;
        this.ardativo = ardativo;
        this.fktanid = fktanid;
    }

    @Override
    public Integer getArdid() {
        return this.ardid;
    }

    @Override
    public Arduino setArdid(Integer ardid) {
        this.ardid = ardid;
        return this;
    }

    @Override
    public String getArdlocal() {
        return this.ardlocal;
    }

    @Override
    public Arduino setArdlocal(String ardlocal) {
        this.ardlocal = ardlocal;
        return this;
    }

    @Override
    public String getArdstatus() {
        return this.ardstatus;
    }

    @Override
    public Arduino setArdstatus(String ardstatus) {
        this.ardstatus = ardstatus;
        return this;
    }

    @Override
    public String getArdvirtual() {
        return this.ardvirtual;
    }

    @Override
    public Arduino setArdvirtual(String ardvirtual) {
        this.ardvirtual = ardvirtual;
        return this;
    }

    @Override
    public String getArdativo() {
        return this.ardativo;
    }

    @Override
    public Arduino setArdativo(String ardativo) {
        this.ardativo = ardativo;
        return this;
    }

    @Override
    public Integer getFktanid() {
        return this.fktanid;
    }

    @Override
    public Arduino setFktanid(Integer fktanid) {
        this.fktanid = fktanid;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Arduino (");

        sb.append(ardid);
        sb.append(", ").append(ardlocal);
        sb.append(", ").append(ardstatus);
        sb.append(", ").append(ardvirtual);
        sb.append(", ").append(ardativo);
        sb.append(", ").append(fktanid);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IArduino from) {
        setArdid(from.getArdid());
        setArdlocal(from.getArdlocal());
        setArdstatus(from.getArdstatus());
        setArdvirtual(from.getArdvirtual());
        setArdativo(from.getArdativo());
        setFktanid(from.getFktanid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IArduino> E into(E into) {
        into.from(this);
        return into;
    }

    public Arduino(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
